/*************************************************************************
 *                                                                       *
 *                              VARS.JS                                  *
 *                                                                       *
 *************************************************************************
 *                                                                       *
 * This file contains the definitions for variables that are used by the *
 * patch html and javascript.  They must be updated for each new patch.  *
 *                                                                       *
 ************************************************************************/

/*************************************************************************
 * patchDir is the subdirectory where the patch files will be placed     *
 *                                                                       *
 * patchFile is the batch file or exectuatble that will be run from      *
 *        patchDir                                                       *
 *                                                                       *
 * patchReboot indicates if the patch requires a reboot. 1=yes, 0=no     *
 *                                                                       *
 * noStop indicates that the patch should not stop services before       *
 *        applying the patch.  Stopping is default. Setting this         *
 *        to 1 = don't stop.                                             *
 *                                                                       *
 * noStart indicates that the patch should not restart services after    *
 *        applying the patch.  Restarting is default. Setting this       *
 *        to 1 = don't restart.                                          *
 *                                                                       *
 ************************************************************************/


/* Patch Info */ 
var patchName = "WAN ISDN Patch 3";
var patchDir = "WAN_ISDN_3";
var patchFile = "WAN_ISDN_3.bat";
var patchReboot = 1;
var noStop = 1;
var noStart = 1;

/*Prepare Timer*/
var waitTime = "0:30";
var time = "30 seconds";

/*General Information*/
var patchPurpose = "The purpose of this patch is to apply the required file changes to a BCM 2.5 or BCM 2.5 FP1 system to correct problems with the operation of ISDN WAN dial-up.";
var patchTargetVersion = "BCM 2.5 and BCM 2.5 FP1";
var patchComponent = "MSC driver and WAN LLDial";
var patchComponentVersion = " ";

/*Problem_SRs Fixed*/
var patchDescription = "<br><b>PROBLEM</b><br><br>Intermittent ISDN dial-in failures are encountered by a number of customer sites in Europe.  The symptoms are: Upon reboot of the BCM, the ISDN dial-in works fine.  After a period of time, say a few days, or sometimes a few weeks, the dial-in attempts start to fail.  Once the failure starts to occur, only a reboot of the BCM can clear the problem.<br><br><b>SOLUTION</b><br><br>A few problems are fixed in the MSC driver area such that WAN task creation and deletion are better handled.  These fixes are critical especially when there are simultaneous dial-in requests being received, or more than one channel is being bundled together.  Besides, a better handshake is implemented between the MSC driver and the link-layer lldial driver such that if a CreateWanTask failure indication is sent from MSC to lldial, TAPI and the KSU core will get notified and coresponding resources allocated for the channel links are all freed up.";
var patchSRs = "<br><li>Q00518042: BCM ISDN Dial in problem<br><li>Q00519602: BCM ISDN Dial in problem -Actis #2<br><li>Q00287145: Intermittent Dial In Access Failure-BCM2.5 GA<br><li>Q00453639: Intermittent ISDN Dial-In Failure";

/*Patch Details*/
var patchSoftware = "MSC driver and WAN LLDial";
var patchFiles = "<br><li>wntdrv.sys<br><li>wntstar.exe<br><li>wntlib.dll<br><li>wnttest.exe<br><li>wanexam.exe<br><li>lldial.sys";
var patchZIPsize = "858 KB";
var patchStepReboot = "Single step patch requiring a reboot.";
var patchServices = "No services are stopped during the application of the patch.";
var patchTime = "10 minutes";

/*Warnings_Restrictions_Limitations*/
var patchWarnings = "";

/*Known Problems*/
var patchProblems = "";

/*Impact Assessment*/
var patchRisk = "Minimal risk.";








